## Reading and Writing XML

Reading and Writing XML

## Synopsis

    xmlNode *           e_xml_get_child_by_name_by_lang     (const xmlNode *parent,
                                                             const xmlChar *child_name,
                                                             const gchar *lang);
    xmlNode *           e_xml_get_child_by_name_by_lang_list
                                                            (const xmlNode *parent,
                                                             const gchar *name,
                                                             const GList *lang_list);
    xmlNode *           e_xml_get_child_by_name_no_lang     (const xmlNode *parent,
                                                             const gchar *name);
    gint                e_xml_get_integer_prop_by_name      (const xmlNode *parent,
                                                             const xmlChar *prop_name);
    gint                e_xml_get_integer_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gint def);
    void                e_xml_set_integer_prop_by_name      (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gint value);
    guint               e_xml_get_uint_prop_by_name         (const xmlNode *parent,
                                                             const xmlChar *prop_name);
    guint               e_xml_get_uint_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             guint def);
    void                e_xml_set_uint_prop_by_name         (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             guint value);
    gboolean            e_xml_get_bool_prop_by_name         (const xmlNode *parent,
                                                             const xmlChar *prop_name);
    gboolean            e_xml_get_bool_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gboolean def);
    void                e_xml_set_bool_prop_by_name         (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gboolean value);
    gdouble             e_xml_get_double_prop_by_name       (const xmlNode *parent,
                                                             const xmlChar *prop_name);
    gdouble             e_xml_get_double_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gdouble def);
    void                e_xml_set_double_prop_by_name       (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gdouble value);
    gchar *             e_xml_get_string_prop_by_name       (const xmlNode *parent,
                                                             const xmlChar *prop_name);
    gchar *             e_xml_get_string_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             const gchar *def);
    void                e_xml_set_string_prop_by_name       (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             const gchar *value);
    gchar *             e_xml_get_translated_string_prop_by_name
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name);

## Description

## Details

### e_xml_get_child_by_name_by_lang ()

    xmlNode *           e_xml_get_child_by_name_by_lang     (const xmlNode *parent,
                                                             const xmlChar *child_name,
                                                             const gchar *lang);

`parent` : |
`child_name` : |
`lang` : |
Returns : |

### e_xml_get_child_by_name_by_lang_list ()

    xmlNode *           e_xml_get_child_by_name_by_lang_list
                                                            (const xmlNode *parent,
                                                             const gchar *name,
                                                             const GList *lang_list);

`parent` : |
`name` : |
`lang_list` : |
Returns : |

### e_xml_get_child_by_name_no_lang ()

    xmlNode *           e_xml_get_child_by_name_no_lang     (const xmlNode *parent,
                                                             const gchar *name);

`parent` : |
`name` : |
Returns : |

### e_xml_get_integer_prop_by_name ()

    gint                e_xml_get_integer_prop_by_name      (const xmlNode *parent,
                                                             const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_get_integer_prop_by_name_with_default ()

    gint                e_xml_get_integer_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gint def);

`parent` : |
`prop_name` : |
`def` : |
Returns : |

### e_xml_set_integer_prop_by_name ()

    void                e_xml_set_integer_prop_by_name      (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gint value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_uint_prop_by_name ()

    guint               e_xml_get_uint_prop_by_name         (const xmlNode *parent,
                                                             const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_get_uint_prop_by_name_with_default ()

    guint               e_xml_get_uint_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             guint def);

`parent` : |
`prop_name` : |
`def` : |
Returns : |

### e_xml_set_uint_prop_by_name ()

    void                e_xml_set_uint_prop_by_name         (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             guint value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_bool_prop_by_name ()

    gboolean            e_xml_get_bool_prop_by_name         (const xmlNode *parent,
                                                             const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_get_bool_prop_by_name_with_default ()

    gboolean            e_xml_get_bool_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gboolean def);

`parent` : |
`prop_name` : |
`def` : |
Returns : |

### e_xml_set_bool_prop_by_name ()

    void                e_xml_set_bool_prop_by_name         (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gboolean value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_double_prop_by_name ()

    gdouble             e_xml_get_double_prop_by_name       (const xmlNode *parent,
                                                             const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_get_double_prop_by_name_with_default ()

    gdouble             e_xml_get_double_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gdouble def);

`parent` : |
`prop_name` : |
`def` : |
Returns : |

### e_xml_set_double_prop_by_name ()

    void                e_xml_set_double_prop_by_name       (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             gdouble value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_string_prop_by_name ()

    gchar *             e_xml_get_string_prop_by_name       (const xmlNode *parent,
                                                             const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_get_string_prop_by_name_with_default ()

    gchar *             e_xml_get_string_prop_by_name_with_default
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             const gchar *def);

`parent` : |
`prop_name` : |
`def` : |
Returns : |

### e_xml_set_string_prop_by_name ()

    void                e_xml_set_string_prop_by_name       (xmlNode *parent,
                                                             const xmlChar *prop_name,
                                                             const gchar *value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_translated_string_prop_by_name ()

    gchar *             e_xml_get_translated_string_prop_by_name
                                                            (const xmlNode *parent,
                                                             const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |